## systemc 2.3.3

=== CMakeLists.txt ===
###############################################################################
#
# Licensed to Accellera Systems Initiative Inc. (Accellera) under one or
# more contributor license agreements.  See the NOTICE file distributed
# with this work for additional information regarding copyright ownership.
# Accellera licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.
#
###############################################################################

###############################################################################
#
# CMakeLists.txt --
# Top-level CMake script to configure the SystemC sources and to generate
# native Makefiles and project workspaces for your compiler environment.
#
# Original Author: Torsten Maehne, Université Pierre et Marie Curie, Paris,
#                  2013-06-11
#
###############################################################################

###############################################################################
#
# MODIFICATION LOG - modifiers, enter your name, affiliation, date and
# changes you are making here.
#
#     Name, Affiliation, Date: Guillaume Delbergue, GreenSocs, 08 Mar, 2016
# Description of Modification: Extract SystemC/TLM version and date
#
###############################################################################

###############################################################################
#
# This CMake build script <http://www.cmake.org/> was developed taking the
# original autotools-based build system of the Accellera SystemC distribution
# as a reference. However, it is less restrictive regarding the supported
# OS/processor/compiler combinations by detecting the actual features provided
# by the target (Unix or Windows) platform. On Unix (including OS X),
# shared libraries can be built. If the QuickThreads library provides support
# for the target processor, it will be automatically used. Otherwise, we rely
# on Pthreads on Unix and Fiber on Windows. By default, the SystemC library
# installation will follow the GNU standard installation layout so that also
# other SystemC libraries (SystemC, SCV, TLM, AMS extensions) can be installed
# into the same directory hierarchy (Unix: /opt/systemc/;
# Windows: $ENV{ProgramFiles}/SystemC/). The target platform's conventions are
# respected meaning usually include/ for the headers and lib/, lib64/, or
# lib/<multiarch-tuple>/ for the libraries. The lib-${SystemC_TARGET_ARCH})/
# convention is not used by default, as ${SystemC_TARGET_ARCH} does not
# reliably encode the OS/processor/compiler tuple.
#
# The CMake build scripts are compatible with CMake >=2.8.5 and have been tested
# on the following OS/processor/compiler platforms:
#
# - Linux (GCC, Clang): i386, x86_64
#
# - Linux (GCC): aarch64
#
# - Mac OS X >= 10.5 (GCC, Clang): i386, x86_64, ppc
#
# - Windows (MingW32 GCC + optionally MSYS): x86
#
# Currently untested, but considered by the build script (based on the
# autotools scripts) are:
#
# - *BSD (GCC, Clang): i386, x86_64
#
# - Linux (GCC, Clang): sparc, powerpc
#
# - Linux (Clang): aarch64
#
# - Mac OS X <= 10.5 (GCC): ppc, ppc64
#
# - Windows (Cygwin GCC, MingW32 GCC, Visual C++): x86, AMD64
#
# - Solaris (GCC and native compiler): sparc
#
# - HP-UX (GCC and native compiler): hppa
#
# The build process can be configured through the configuration variables
# offered to the user in the CMake console and GUI (ccmake and cmake-gui,
# respectively). Each variable is annotated with a brief documentation string.
# The most important variables are:
#
# BUILD_SHARED_LIBS             Build shared instead of static libraries
#                               (default: ON if not targetting Windows).
#
# BUILD_SOURCE_DOCUMENTATION    Build source code documentation using Doxygen
#                               (default: OFF).
#
# CMAKE_BUILD_TYPE              Specifies the build type on single-configuration
#                               generators. (default: Release).
#
# CMAKE_CXX_STANDARD            C++ standard to build all targets. Supported
#                               values are 98, 11, and 14. (default: 98)
#
# CMAKE_CXX_STANDARD_REQUIRED   The with CMAKE_CXX_STANDARD selected C++ standard
#                               is a requirement. (default: ON)
#
# CMAKE_INSTALL_PREFIX          Root directory of the SystemC libraries
#                               installation (defaults to $ENV{SYSTEMC_HOME}
#                               if set to an absolute path and otherwise to either
#                               /opt/systemc/ (Unix-like platforms including
#                               CYGWIN), $ENV{ProgramFiles}/SystemC/ (on Windows
#                               systems), or ${CMAKE_INSTALL_PREFIX}/systemc.
#
# CMAKE_OSX_ARCHITECTURES       Architectures for cross-compilation on Mac OS X
#                               (default: empty, i.e., only for the system
#                               processor).
#
# CMAKE_VERBOSE_MAKEFILE        Generate a verbose Makefile (default: OFF).
#
# DISABLE_ASYNC_UPDATES         Disable async_request_update() support.
#
# DISABLE_COPYRIGHT_MESSAGE     Do not print the copyright message when starting
#                               the application. (default: OFF)
#
# DISABLE_VIRTUAL_BIND          Disable the definition of bind() member
#                               functions of ports and exports as "virtual",
#                               which is incompatible with old TLM library
#                               implementations (< 2.0.2).
#
# ENABLE_ASSERTIONS             Always enable the `sc_assert' expressions
#                               (default: ON)
#
# ENABLE_EARLY_MAXTIME_CREATION Allow creation of sc_time objects with a value
#                               of sc_max_time() before finalizing the time
#                               resolution.
#
# ENABLE_IMMEDIATE_SELF_NOTIFICATIONS  Enable immediate self-notification of
#                               processes, which is no longer supported due to
#                               changes in IEEE Std 1666-2011 (see
#                               sc_event::notify, 5.10.6).
#
# ENABLE_PHASE_CALLBACKS        Enable the simulation phase callbacks (experimental).
#
# ENABLE_PHASE_CALLBACKS_TRACING  Enable usage of the (experimental) simulation
#                               phase callbacks for the implementation of
#                               sc_trace().
#
# ENABLE_PTHREADS               Use POSIX threads for SystemC processes instead
#                               of QuickThreads on Unix or Fiber on Windows.
#
# OVERRIDE_DEFAULT_STACK_SIZE   Define the default stack size used for SystemC
#                               (thread) processes. (> 0)
#
# SystemC_TARGET_ARCH           Target architecture according to the
#                               Accellera SystemC conventions set either from
#                               $ENV{SYSTEMC_TARGET_ARCH}, $ENV{SYSTEMC_ARCH},
#                               or detected by CMake.
#
# INSTALL_TO_LIB_BUILD_TYPE_DIR Install the libraries to a
#                               lib-${CMAKE_BUILD_TYPE}/ to enable parallel
#                               installation of the different build variants.
#                               (default: OFF)
#
# INSTALL_TO_LIB_TARGET_ARCH_DIR  Install the libraries to lib-<target-arch>
#                               to facilitate linking applications, which
#                               build systems assume to find SystemC in
#                               lib-<target-arch>. (default: OFF)
#
# INSTALL_LIB_TARGET_ARCH_SYMLINK  On Unix, install a symlink lib-<target-arch>
#                               to lib-${CMAKE_BUILD_TYPE} facilitating the
#                               linking of user code, which build system assumes
#                               to find the SystemC libraries under
#                               lib-<target-arch>. (default: OFF)
#
# Other configuration variables will be proposed by CMake depending on the OS
# and detected processor, compiler, and libraries. For more information, please
# refer to the CMake documentation or <http://www.cmake.org/>.
#
###############################################################################
#
# TODO:
#
# - Enable the compilation of SystemC as a DLL on Windows! To make it work, the
#   SystemC library has to be at least split into libsystemc-core.dll and a
#   static libsystemc.lib.
#
# - Check whether preprocessor definitions WIN32, _CONSOLE, _LIB, _DEBUG, NDEBUG,
#   and NOGDI are necessary on WIN32 platforms (MSVC and MinGW).
#
# - Turn on more compiler warnings by default once SystemC is supposed to
#   compile without any warnings on recent compiler versions. Currently, the
#   compiler warning flags are set to reduce the number of generated compiler
#   warnings (especially with recent Clang versions, e.g., Apple Clang 6.0) to
#   an acceptable amount. With the chosen flags, the SystemC library compiles
#   without warnings, but some examples still produce warnings.
#
# - Test on as many different hardware / OS platforms as possible.
#
# - Configure and install systemc.pc and tlm.pc for pkg-config
#
###############################################################################


cmake_minimum_required (VERSION 3.1)
cmake_policy(SET CMP0001 NEW)

project (SystemCLanguage CXX C)

set(SystemCLanguage_VERSION_FILE "${PROJECT_SOURCE_DIR}/src/sysc/kernel/sc_ver.h")
if(EXISTS ${SystemCLanguage_VERSION_FILE})
    file(READ ${SystemCLanguage_VERSION_FILE} SYSTEMC_VERSION_FILE_CONTENT)
    string(REGEX MATCH "SC_VERSION_MAJOR[ \t]+([0-9]+)" SystemCLanguage_VERSION_MAJOR ${SYSTEMC_VERSION_FILE_CONTENT})
    string(REGEX MATCH "([0-9]+)" SystemCLanguage_VERSION_MAJOR ${SystemCLanguage_VERSION_MAJOR})
    string(REGEX MATCH "SC_VERSION_MINOR[ \t]+([0-9]+)" SystemCLanguage_VERSION_MINOR ${SYSTEMC_VERSION_FILE_CONTENT})
    string(REGEX MATCH "([0-9]+)" SystemCLanguage_VERSION_MINOR ${SystemCLanguage_VERSION_MINOR})
    string(REGEX MATCH "SC_VERSION_PATCH[ \t]+([0-9]+)" SystemCLanguage_VERSION_PATCH ${SYSTEMC_VERSION_FILE_CONTENT})
    string(REGEX MATCH "([0-9]+)" SystemCLanguage_VERSION_PATCH ${SystemCLanguage_VERSION_PATCH})
    string(REGEX MATCH "SC_IS_PRERELEASE[ \t]+([0-9]+)" SystemCLanguage_VERSION_IS_PRERELEASE ${SYSTEMC_VERSION_FILE_CONTENT})
    string(REGEX MATCH "([0-9]+)" SystemCLanguage_VERSION_IS_PRERELEASE ${SystemCLanguage_VERSION_IS_PRERELEASE})
    string(REGEX MATCH "SC_VERSION_PRERELEASE[ \t]+\"([^\".]+)\"" SystemCLanguage_VERSION_PRERELEASE ${SYSTEMC_VERSION_FILE_CONTENT})
    string(REGEX REPLACE "(.*)\"(.*)\"" "\\2" SystemCLanguage_VERSION_PRERELEASE ${SystemCLanguage_VERSION_PRERELEASE})
    string(REGEX MATCH "SYSTEMC_VERSION[ \t]+([0-9]+)" SystemCLanguage_VERSION_RELEASE_DATE ${SYSTEMC_VERSION_FILE_CONTENT})
    string(REGEX MATCH "([0-9]+)" SystemCLanguage_VERSION_RELEASE_DATE ${SystemCLanguage_VERSION_RELEASE_DATE})
else(EXISTS ${SystemCLanguage_VERSION_FILE})
    message (FATAL_ERROR "Unable to read SystemC version file")
endif(EXISTS ${SystemCLanguage_VERSION_FILE})

set (SystemCLanguage_VERSION "${SystemCLanguage_VERSION_MAJOR}.${SystemCLanguage_VERSION_MINOR}.${SystemCLanguage_VERSION_PATCH}")
if (SystemCLanguage_VERSION_IS_PRERELEASE)
  set (SystemCLanguage_VERSION "${SystemCLanguage_VERSION}_${SystemCLanguage_VERSION_PRERELEASE}_${SystemCLanguage_VERSION_RELEASE_DATE}")
endif (SystemCLanguage_VERSION_IS_PRERELEASE)

=== docs/CMakeLists.txt ===
###############################################################################
#
# Licensed to Accellera Systems Initiative Inc. (Accellera) under one or
# more contributor license agreements.  See the NOTICE file distributed
# with this work for additional information regarding copyright ownership.
# Accellera licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.
#
###############################################################################

###############################################################################
#
# docs/CMakeLists.txt --
# CMake script to configure the SystemC sources and to generate native
# Makefiles and project workspaces for your compiler environment.
#
# Original Author: Torsten Maehne, Université Pierre et Marie Curie, Paris,
#                  2013-06-11
#
###############################################################################

###############################################################################
#
# MODIFICATION LOG - modifiers, enter your name, affiliation, date and
# changes you are making here.
#
#     Name, Affiliation, Date:
# Description of Modification:
#
###############################################################################


set (DOC_FILES sysc/README
               sysc/archived/README
	       sysc/archived/FuncSpec20.pdf
	       sysc/archived/WhitePaper20.pdf
	       sysc/archived/UserGuide20.pdf
	       sysc/archived/SystemC_2_1_overview.pdf
	       sysc/archived/SystemC_2_1_features.pdf
	       sysc/SystemC_2011_New_Features.pdf
	       tlm/ChangeLog
	       tlm/release/TLM_2_0_requirements.pdf
	       tlm/release/TLM_2_0_white_paper.pdf
	       tlm/release/README.txt
	       tlm/release/TLM_2_0_presentation.ppt
	       tlm/release/TLM_2_0_presentation.pdf
	       tlm/tlm_README)

foreach (DOC_FILE ${DOC_FILES})
  get_filename_component (DOC_INSTALL_PATH ${DOC_FILE} PATH)
  install (FILES ${DOC_FILE}
           DESTINATION ${CMAKE_INSTALL_DOCDIR}/${DOC_INSTALL_PATH}
           COMPONENT doc)
endforeach (DOC_FILE ${DOC_FILES})

if (BUILD_SOURCE_DOCUMENTATION)
  find_package (Doxygen REQUIRED)
  add_custom_target (doxygen ALL
                     DEPENDS doxygen-sysc doxygen-tlm)

  # SystemC source code documentation
  set (PACKAGE_NAME ${PROJECT_NAME})
  string(TOLOWER "${PROJECT_NAME}" PACKAGE_TARNAME)
  set (PACKAGE_VERSION ${SystemCLanguage_VERSION})
  set (top_srcdir ${CMAKE_SOURCE_DIR})

  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/sysc/doxygen/Doxyfile.in
                  ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/Doxyfile @ONLY)
  if (NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/html)
    file (MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/html)
  endif (NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/html)
  set_source_files_properties (${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/html
                               PROPERTIES GENERATED 1)
  add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/html/index.html
                      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/Doxyfile
                      DEPENDS systemc
                      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen
                      COMMENT "Building the SystemC source code documentation using Doxygen.")
  add_custom_target (doxygen-sysc
                     DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/html/index.html)
  install (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/html
           DESTINATION ${CMAKE_INSTALL_DOCDIR}/sysc/doxygen
           COMPONENT doc)
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/sysc/doxygen/${PACKAGE_TARNAME}.tag
           DESTINATION ${CMAKE_INSTALL_DOCDIR}/sysc/doxygen
           COMPONENT doc)

  # TLM source code documentation
  set (TLM_PACKAGE_VERSION ${SystemCTLM_VERSION})
  set (top_srcdir ${CMAKE_SOURCE_DIR})

  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/tlm/doxygen/Doxyfile.in
                  ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/Doxyfile @ONLY)
  if (NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/html)
    file (MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/html)
  endif (NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/html)
  set_source_files_properties (${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/html
                               PROPERTIES GENERATED 1)
  add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/html/index.html
                      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/Doxyfile
                      DEPENDS doxygen-sysc
                      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen
                      COMMENT "Building the TLM source code documentation using Doxygen.")
  add_custom_target (doxygen-tlm
                     DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/html/index.html)
  install (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/html
           DESTINATION ${CMAKE_INSTALL_DOCDIR}/tlm/doxygen
           COMPONENT doc)
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/tlm/doxygen/tlm.tag
           DESTINATION ${CMAKE_INSTALL_DOCDIR}/tlm/doxygen
           COMPONENT doc)
endif (BUILD_SOURCE_DOCUMENTATION)

=== examples/CMakeLists.txt ===
###############################################################################
#
# Licensed to Accellera Systems Initiative Inc. (Accellera) under one or
# more contributor license agreements.  See the NOTICE file distributed
# with this work for additional information regarding copyright ownership.
# Accellera licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.
#
###############################################################################

###############################################################################
#
# examples/CMakeLists.txt --
# CMake script to configure the SystemC sources and to generate native
# Makefiles and project workspaces for your compiler environment.
#
# Original Author: Torsten Maehne, Université Pierre et Marie Curie, Paris,
#                  2013-06-11
#
###############################################################################

###############################################################################
#
# MODIFICATION LOG - modifiers, enter your name, affiliation, date and
# changes you are making here.
#
#     Name, Affiliation, Date:
# Description of Modification:
#
###############################################################################

cmake_minimum_required (VERSION 3.0)

# Only built under "check" target
#  - see https://cmake.org/Wiki/CMakeEmulateMakeCheck
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} -C "${CMAKE_BUILD_TYPE}")
enable_testing()

set_property(GLOBAL PROPERTY USE_FOLDERS TRUE)
set_directory_properties(PROPERTIES EXCLUDE_FROM_ALL TRUE)
set_target_properties(check PROPERTIES FOLDER "examples")

########################################################################
# Common definitions for all examples.
########################################################################

if (DEBUG_SYSTEMC)
  add_definitions (-DDEBUG_SYSTEMC)
endif (DEBUG_SYSTEMC)
if (ENABLE_ASSERTIONS)
  add_definitions (-DSC_ENABLE_ASSERTIONS)
endif (ENABLE_ASSERTIONS)

if (WIN32)
  # Not sure, if these preprocessor definitions are strictly required to build
  # console applications with Visual Studio. Instead of _CONSOLE, _LIB may be
  # more appropriate. Maybe also WIN32, _WIN32, _WIN64 needs to be #defined to
  # generate correct VS projects.
  #
  # Resources:
  # <http://social.msdn.microsoft.com/Forums/en-US/vclanguage/thread/9e45a760-f2b8-47b2-8b8c-dfeeb1b24c92/>.
  # <http://www.itk.org/Bug/view.php?id=13292>
  # <http://www.sunlightd.com/Archive/Windows/FAQ.aspx>
  # <http://msdn.microsoft.com/en-us/library/9yb4317s(v=vs.80).aspx>
  # <http://www.windows-api.com/microsoft/VC-MFC/32308312/preprocessor-definitions-for-x64-projects.aspx>
  add_definitions (-D_CONSOLE -DNOGDI)
endif (WIN32)

# TODO: Set MSVC warning level to 3 and 4 for the individual examples
# and disable selected warnings (e.g., 4996). See the individual
# *.vcxproj files for details.
if (CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
  add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-unused-variable)
elseif (CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
  add_compile_options(/W3 /wd4244 /wd4267 /wd4996)
endif (CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")

# If possible, find a more powerful platform-specific diff tool than "cmake -E compare_files"
find_program (DIFF_COMMAND
              NAMES diff diff.exe fc fc.exe
              PATHS ENV PATH)
if (DIFF_COMMAND MATCHES diff)
  set (DIFF_OPTIONS -u CACHE STRING "Diff command options.")
elseif (DIFF_COMMAND MATCHES fc)
  set (DIFF_OPTIONS /N CACHE STRING "Diff command options.")
else (DIFF_COMMAND MATCHES diff)
  set (DIFF_COMMAND ${CMAKE_COMMAND} CACHE FILEPATH "Path to diff command.")
  set (DIFF_OPTIONS -E compare_files CACHE FILEPATH "Diff command options.")
endif (DIFF_COMMAND MATCHES diff)
mark_as_advanced (DIFF_COMMAND DIFF_OPTIONS)

# configure_and_add_test(<NAME> [INPUT <input-file>] [GOLDEN <golden-log>] [FILTER <filter>])
function (configure_and_add_test TEST_PROG)
  set (oneValueArgs INPUT GOLDEN FILTER FOLDER)
  cmake_parse_arguments(TEST "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )

  if (${TEST_UNPARSED_ARGS})
    message (FATAL_ERROR "Invalid options passed to configure_and_add_test(<NAME> [INPUT <input-file>] [GOLDEN <golden-log>] [FILTER <filter>]): ${TEST_UNPARSED_ARGS}")
  endif (${TEST_UNPARSED_ARGS})

  string (REPLACE "${CMAKE_SOURCE_DIR}/" "" TEST_NAME
                  "${CMAKE_CURRENT_SOURCE_DIR}/${TEST_PROG}")

  if (NOT "${TEST_INPUT}" STREQUAL "")
    set (TEST_INPUT ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_INPUT})
    if (NOT EXISTS ${TEST_INPUT})
      message (SEND_ERROR "The specified input file ${TEST_INPUT} for test ${TEST_NAME} does not exist.")
      unset (TEST_INPUT)
    endif (NOT EXISTS ${TEST_INPUT})
  endif (NOT "${TEST_INPUT}" STREQUAL "")

  if ("${TEST_GOLDEN}" STREQUAL "")
    if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/golden.log)
      set (TEST_GOLDEN ${CMAKE_CURRENT_SOURCE_DIR}/golden.log)
    elseif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/results/expected.log)
      set (TEST_GOLDEN ${CMAKE_CURRENT_SOURCE_DIR}/results/expected.log)
    else (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/golden.log)
      unset (TEST_GOLDEN)
    endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/golden.log)
  else ("${TEST_GOLDEN}" STREQUAL "")
    set (TEST_GOLDEN ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_GOLDEN})
    if (NOT EXISTS ${TEST_GOLDEN})
      message (SEND_ERROR "The specified golden reference file ${TEST_GOLDEN} for test ${TEST_NAME} does not exist.")
      unset (TEST_GOLDEN)
    endif (NOT EXISTS ${TEST_GOLDEN})
  endif ("${TEST_GOLDEN}" STREQUAL "")

  add_test (NAME ${TEST_NAME}
            COMMAND ${CMAKE_COMMAND} "-DTEST_EXE=$<TARGET_FILE:${TEST_PROG}>"
                                     "-DTEST_DIR=${CMAKE_CURRENT_BINARY_DIR}"
                                     "-DTEST_INPUT=${TEST_INPUT}"
                                     "-DTEST_GOLDEN=${TEST_GOLDEN}"
                                     "-DTEST_FILTER=${TEST_FILTER}"
                                     "-DDIFF_COMMAND=${DIFF_COMMAND}"
                                     "-DDIFF_OPTIONS=${DIFF_OPTIONS}"
                                     -P ${PROJECT_SOURCE_DIR}/cmake/run_test.cmake)
  add_dependencies(check ${TEST_PROG})
  set_tests_properties (${TEST_NAME}
                        PROPERTIES FAIL_REGULAR_EXPRESSION "^[*][*][*]ERROR")
  set_target_properties(${TEST_PROG} PROPERTIES FOLDER "${TEST_FOLDER}")
endfunction (configure_and_add_test)


########################################################################
# Add the SystemC and TLM examples.
########################################################################

add_subdirectory (sysc)
add_subdirectory (tlm)

=== src/CMakeLists.txt ===
###############################################################################
#
# Licensed to Accellera Systems Initiative Inc. (Accellera) under one or
# more contributor license agreements.  See the NOTICE file distributed
# with this work for additional information regarding copyright ownership.
# Accellera licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.
#
###############################################################################

###############################################################################
#
# src/CMakeLists.txt --
# CMake script to configure the SystemC sources and to generate native
# Makefiles and project workspaces for your compiler environment.
#
# Original Author: Torsten Maehne, Université Pierre et Marie Curie, Paris,
#                  2013-06-11
#
###############################################################################

###############################################################################
#
# MODIFICATION LOG - modifiers, enter your name, affiliation, date and
# changes you are making here.
#
#     Name, Affiliation, Date:
# Description of Modification:
#
###############################################################################


###############################################################################
# Configure QuickThreads
###############################################################################

# Set QuickThread sources used by SystemC depending on target platform
if (QT_ARCH STREQUAL "sparc")
  add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/sysc/packages/qt/md/sparc.s
                      COMMAND sed 's/_qt_/qt_/' ${CMAKE_CURRENT_SOURCE_DIR}/sysc/packages/qt/md/sparc.s > ${CMAKE_CURRENT_BINARY_DIR}/sysc/packages/qt/md/sparc.s
                      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/sysc/packages/qt/md/sparc.s)
endif (QT_ARCH STREQUAL "sparc")

if (APPLE)
  if (N_OSX_ARCHITECTURES EQUAL 1)
    if (QT_ARCH STREQUAL "i386")
      set (CMAKE_ASM_FLAGS "-arch i386")
    elseif (QT_ARCH STREQUAL "x86_64")
      set (CMAKE_ASM_FLAGS "-arch x86_64")
    elseif (QT_ARCH STREQUAL "powerpc_mach")
      set (CMAKE_ASM_FLAGS "-arch ppc")
    endif(QT_ARCH STREQUAL "i386")
  else (N_OSX_ARCHITECTURES EQUAL 1)
    set (CMAKE_ASM_FLAGS "")
  endif (N_OSX_ARCHITECTURES EQUAL 1)
endif (APPLE)


###############################################################################
# Build rules for SystemC library
###############################################################################

add_library (systemc sysc/communication/sc_clock.cpp
                     sysc/communication/sc_event_finder.cpp
                     sysc/communication/sc_event_queue.cpp
                     sysc/communication/sc_export.cpp
                     sysc/communication/sc_interface.cpp
                     sysc/communication/sc_mutex.cpp
                     sysc/communication/sc_port.cpp
                     sysc/communication/sc_prim_channel.cpp
                     sysc/communication/sc_semaphore.cpp
                     sysc/communication/sc_signal.cpp
                     sysc/communication/sc_signal_ports.cpp
                     sysc/communication/sc_signal_resolved.cpp
                     sysc/communication/sc_signal_resolved_ports.cpp
                     sysc/datatypes/bit/sc_bit.cpp
                     sysc/datatypes/bit/sc_bv_base.cpp
                     sysc/datatypes/bit/sc_logic.cpp
                     sysc/datatypes/bit/sc_lv_base.cpp
                     sysc/datatypes/fx/sc_fxcast_switch.cpp
                     sysc/datatypes/fx/sc_fxdefs.cpp
                     sysc/datatypes/fx/sc_fxnum.cpp
                     sysc/datatypes/fx/sc_fxnum_observer.cpp
                     sysc/datatypes/fx/sc_fxtype_params.cpp
                     sysc/datatypes/fx/sc_fxval.cpp
                     sysc/datatypes/fx/sc_fxval_observer.cpp
                     sysc/datatypes/fx/scfx_mant.cpp
                     sysc/datatypes/fx/scfx_pow10.cpp
                     sysc/datatypes/fx/scfx_rep.cpp
                     sysc/datatypes/fx/scfx_utils.cpp
                     sysc/datatypes/int/sc_int_base.cpp
                     sysc/datatypes/int/sc_int_mask.cpp
                     sysc/datatypes/int/sc_length_param.cpp
                     sysc/datatypes/int/sc_nbexterns.cpp
                     sysc/datatypes/int/sc_nbutils.cpp
                     sysc/datatypes/int/sc_signed.cpp
                     sysc/datatypes/int/sc_uint_base.cpp
                     sysc/datatypes/int/sc_unsigned.cpp
                     sysc/datatypes/misc/sc_concatref.cpp
                     sysc/datatypes/misc/sc_value_base.cpp
                     sysc/kernel/sc_attribute.cpp
                     sysc/kernel/sc_cor_fiber.cpp
                     sysc/kernel/sc_cor_pthread.cpp
                     sysc/kernel/sc_cor_qt.cpp
                     sysc/kernel/sc_cthread_process.cpp
                     sysc/kernel/sc_event.cpp
                     sysc/kernel/sc_except.cpp
                     sysc/kernel/sc_join.cpp
                     sysc/kernel/sc_main.cpp
                     sysc/kernel/sc_main_main.cpp
                     sysc/kernel/sc_method_process.cpp
                     sysc/kernel/sc_module.cpp
                     sysc/kernel/sc_module_name.cpp
                     sysc/kernel/sc_module_registry.cpp
                     sysc/kernel/sc_name_gen.cpp
                     sysc/kernel/sc_object.cpp
                     sysc/kernel/sc_object_manager.cpp
                     sysc/kernel/sc_phase_callback_registry.cpp
                     sysc/kernel/sc_process.cpp
                     sysc/kernel/sc_reset.cpp
                     sysc/kernel/sc_sensitive.cpp
                     sysc/kernel/sc_simcontext.cpp
                     sysc/kernel/sc_spawn_options.cpp
                     sysc/kernel/sc_thread_process.cpp
                     sysc/kernel/sc_time.cpp
                     sysc/kernel/sc_ver.cpp
                     sysc/kernel/sc_wait.cpp
                     sysc/kernel/sc_wait_cthread.cpp
                     sysc/tracing/sc_trace.cpp
                     sysc/tracing/sc_trace_file_base.cpp
                     sysc/tracing/sc_vcd_trace.cpp
                     sysc/tracing/sc_wif_trace.cpp
                     sysc/utils/sc_hash.cpp
                     sysc/utils/sc_list.cpp
                     sysc/utils/sc_mempool.cpp
                     sysc/utils/sc_pq.cpp
                     sysc/utils/sc_report.cpp
                     sysc/utils/sc_report_handler.cpp
                     sysc/utils/sc_stop_here.cpp
                     sysc/utils/sc_string.cpp
                     sysc/utils/sc_utils_ids.cpp
                     sysc/utils/sc_vector.cpp
                     # TLM sources
                     tlm_core/tlm_2/tlm_generic_payload/tlm_gp.cpp
                     tlm_core/tlm_2/tlm_generic_payload/tlm_phase.cpp
                     tlm_core/tlm_2/tlm_quantum/tlm_global_quantum.cpp
                     tlm_utils/convenience_socket_bases.cpp
                     tlm_utils/instance_specific_extensions.cpp
                     # SystemC headers
                     sysc/communication/sc_buffer.h
                     sysc/communication/sc_clock.h
                     sysc/communication/sc_clock_ports.h
                     sysc/communication/sc_communication_ids.h
                     sysc/communication/sc_event_finder.h
                     sysc/communication/sc_event_queue.h
                     sysc/communication/sc_export.h
                     sysc/communication/sc_fifo.h
                     sysc/communication/sc_fifo_ifs.h
                     sysc/communication/sc_fifo_ports.h
                     sysc/communication/sc_host_mutex.h
                     sysc/communication/sc_host_semaphore.h
                     sysc/communication/sc_interface.h
                     sysc/communication/sc_mutex.h
                     sysc/communication/sc_mutex_if.h
                     sysc/communication/sc_port.h
                     sysc/communication/sc_prim_channel.h
                     sysc/communication/sc_semaphore.h
                     sysc/communication/sc_semaphore_if.h
                     sysc/communication/sc_signal.h
                     sysc/communication/sc_signal_ifs.h
                     sysc/communication/sc_signal_ports.h
                     sysc/communication/sc_signal_resolved.h
                     sysc/communication/sc_signal_resolved_ports.h
                     sysc/communication/sc_signal_rv.h
                     sysc/communication/sc_signal_rv_ports.h
                     sysc/communication/sc_writer_policy.h
                     sysc/datatypes/bit/sc_bit.h
                     sysc/datatypes/bit/sc_bit_ids.h
                     sysc/datatypes/bit/sc_bit_proxies.h
                     sysc/datatypes/bit/sc_bv.h
                     sysc/datatypes/bit/sc_bv_base.h
                     sysc/datatypes/bit/sc_logic.h
                     sysc/datatypes/bit/sc_lv.h
                     sysc/datatypes/bit/sc_lv_base.h
                     sysc/datatypes/bit/sc_proxy.h
                     sysc/datatypes/fx/fx.h
                     sysc/datatypes/fx/sc_context.h
                     sysc/datatypes/fx/sc_fix.h
                     sysc/datatypes/fx/sc_fixed.h
                     sysc/datatypes/fx/sc_fx_ids.h
                     sysc/datatypes/fx/sc_fxcast_switch.h
                     sysc/datatypes/fx/sc_fxdefs.h
                     sysc/datatypes/fx/sc_fxnum.h
                     sysc/datatypes/fx/sc_fxnum_observer.h
                     sysc/datatypes/fx/sc_fxtype_params.h
                     sysc/datatypes/fx/sc_fxval.h
                     sysc/datatypes/fx/sc_fxval_observer.h
                     sysc/datatypes/fx/sc_ufix.h
                     sysc/datatypes/fx/sc_ufixed.h
                     sysc/datatypes/fx/scfx_ieee.h
                     sysc/datatypes/fx/scfx_mant.h
                     sysc/datatypes/fx/scfx_other_defs.h
                     sysc/datatypes/fx/scfx_params.h
                     sysc/datatypes/fx/scfx_pow10.h
                     sysc/datatypes/fx/scfx_rep.h
                     sysc/datatypes/fx/scfx_string.h
                     sysc/datatypes/fx/scfx_utils.h
                     sysc/datatypes/int/sc_bigint.h
                     sysc/datatypes/int/sc_biguint.h
                     sysc/datatypes/int/sc_int.h
                     sysc/datatypes/int/sc_int_base.h
                     sysc/datatypes/int/sc_int_ids.h
                     sysc/datatypes/int/sc_length_param.h
                     sysc/datatypes/int/sc_nbdefs.h
                     sysc/datatypes/int/sc_nbexterns.h
                     sysc/datatypes/int/sc_nbutils.h
                     sysc/datatypes/int/sc_signed.h
                     sysc/datatypes/int/sc_uint.h
                     sysc/datatypes/int/sc_uint_base.h
                     sysc/datatypes/int/sc_unsigned.h
                     sysc/datatypes/misc/sc_concatref.h
                     sysc/datatypes/misc/sc_value_base.h
                     sysc/kernel/sc_attribute.h
                     sysc/kernel/sc_cmnhdr.h
                     sysc/kernel/sc_constants.h
                     sysc/kernel/sc_cor.h
                     sysc/kernel/sc_cor_fiber.h
                     sysc/kernel/sc_cor_pthread.h
                     sysc/kernel/sc_cor_qt.h
                     sysc/kernel/sc_cthread_process.h

=== examples/build-msvc/Makefile ===
!include <.\Makefile.config>

SUBDIRS = \
	..\tlm\at_1_phase \
	..\tlm\at_2_phase \
	..\tlm\at_4_phase \
	..\tlm\at_extension_optional \
	..\tlm\at_mixed_targets \
	..\tlm\at_ooo \
	..\tlm\lt \
	..\tlm\lt_dmi \
	..\tlm\lt_extension_mandatory \
	..\tlm\lt_mixed_endian \
	..\tlm\lt_temporal_decouple

TARGETS = build run check clean

# default target
all: build

# see
#  - Makefile.rules  for actual implementation
#  - Makefile.config for available configuration options
$(TARGETS):
	@for %%i in ($(SUBDIRS)) do \
	  @( chdir $(MAKEDIR)\%%i\build-msvc && \
	    $(MAKE) /nologo FLAG_BATCH=1 \
	      CONFIG=$(CONFIG) PLATFORM=$(PLATFORM) $@ )

=== examples/sysc/pipe/CMakeLists.txt ===
###############################################################################
#
# Licensed to Accellera Systems Initiative Inc. (Accellera) under one or
# more contributor license agreements.  See the NOTICE file distributed
# with this work for additional information regarding copyright ownership.
# Accellera licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.
#
###############################################################################

###############################################################################
#
# examples/sysc/pipe/CMakeLists.txt --
# CMake script to configure the SystemC sources and to generate native
# Makefiles and project workspaces for your compiler environment.
#
# Original Author: Torsten Maehne, Université Pierre et Marie Curie, Paris,
#                  2013-06-11
#
###############################################################################

###############################################################################
#
# MODIFICATION LOG - modifiers, enter your name, affiliation, date and
# changes you are making here.
#
#     Name, Affiliation, Date:
# Description of Modification:
#
###############################################################################


add_executable (pipe main.cpp
                     display.h
                     display.cpp
                     numgen.h
                     numgen.cpp
                     stage1.h
                     stage1.cpp
                     stage2.h
                     stage2.cpp
                     stage3.h
                     stage3.cpp)
target_link_libraries (pipe SystemC::systemc)
configure_and_add_test (pipe)

=== examples/sysc/pipe/Makefile ===
include ../../build-unix/Makefile.config

PROJECT := pipe
SRCS    := $(wildcard *.cpp)
OBJS    := $(SRCS:.cpp=.o)

include ../../build-unix/Makefile.rules

=== examples/sysc/simple_bus/Makefile ===
include ../../build-unix/Makefile.config

PROJECT := simple_bus
SRCS    := $(wildcard *.cpp)
OBJS    := $(SRCS:.cpp=.o)

include ../../build-unix/Makefile.rules

=== examples/tlm/at_2_phase/CMakeLists.txt ===
###############################################################################
#
# Licensed to Accellera Systems Initiative Inc. (Accellera) under one or
# more contributor license agreements.  See the NOTICE file distributed
# with this work for additional information regarding copyright ownership.
# Accellera licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.
#
###############################################################################

###############################################################################
#
# examples/tlm/at_2_phase/CMakeLists.txt --
# CMake script to configure the SystemC sources and to generate native
# Makefiles and project workspaces for your compiler environment.
#
# Original Author: Torsten Maehne, Université Pierre et Marie Curie, Paris,
#                  2013-06-11
#
###############################################################################

###############################################################################
#
# MODIFICATION LOG - modifiers, enter your name, affiliation, date and
# changes you are making here.
#
#     Name, Affiliation, Date:
# Description of Modification:
#
###############################################################################


add_executable (at_2_phase src/at_2_phase.cpp
                           include/at_2_phase_top.h
                           src/at_2_phase_top.cpp
                           include/initiator_top.h
                           src/initiator_top.cpp
                           ../common/include/traffic_generator.h
                           ../common/src/traffic_generator.cpp
                           ../common/include/memory.h
                           ../common/src/memory.cpp
                           ../common/include/reporting.h
                           ../common/src/report.cpp
                           ../common/include/at_target_2_phase.h
                           ../common/src/at_target_2_phase.cpp
                           ../common/include/select_initiator.h
                           ../common/src/select_initiator.cpp)
target_include_directories (at_2_phase PRIVATE include ../common/include)
target_link_libraries (at_2_phase SystemC::systemc)
configure_and_add_test (at_2_phase)

=== examples/sysc/2.1/dpipe/CMakeLists.txt ===
###############################################################################
#
# Licensed to Accellera Systems Initiative Inc. (Accellera) under one or
# more contributor license agreements.  See the NOTICE file distributed
# with this work for additional information regarding copyright ownership.
# Accellera licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.
#
###############################################################################

###############################################################################
#
# examples/sysc/2.1/dpipe/CMakeLists.txt --
# CMake script to configure the SystemC sources and to generate native
# Makefiles and project workspaces for your compiler environment.
#
# Original Author: Torsten Maehne, Université Pierre et Marie Curie, Paris,
#                  2013-06-11
#
###############################################################################

###############################################################################
#
# MODIFICATION LOG - modifiers, enter your name, affiliation, date and
# changes you are making here.
#
#     Name, Affiliation, Date:
# Description of Modification:
#
###############################################################################


add_executable (dpipe main.cpp)
target_link_libraries (dpipe SystemC::systemc)
configure_and_add_test (dpipe)

=== examples/sysc/2.1/sc_export/Makefile ===
SYSTEMC_HOME ?= ../../../..
include ../../../build-unix/Makefile.config

PROJECT = sc_export
OBJS    = main.o

include ../../../build-unix/Makefile.rules

=== examples/sysc/2.1/specialized_signals/CMakeLists.txt ===
###############################################################################
#
# Licensed to Accellera Systems Initiative Inc. (Accellera) under one or
# more contributor license agreements.  See the NOTICE file distributed
# with this work for additional information regarding copyright ownership.
# Accellera licenses this file to you under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with the
# License.  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.
#
###############################################################################

###############################################################################
#
# examples/sysc/2.1/specialized_signals/CMakeLists.txt --
# CMake script to configure the SystemC sources and to generate native
# Makefiles and project workspaces for your compiler environment.
#
# Original Author: Torsten Maehne, Université Pierre et Marie Curie, Paris,
#                  2013-06-11
#
###############################################################################

###############################################################################
#
# MODIFICATION LOG - modifiers, enter your name, affiliation, date and
# changes you are making here.
#
#     Name, Affiliation, Date:
# Description of Modification:
#
###############################################################################





add_executable (specialized_signals main.cpp
                                    scx_signal_int.h
                                    scx_signal_int.cpp
                                    scx_signal_uint.h
                                    scx_signal_uint.cpp
                                    scx_signal_signed.h
                                    scx_signal_signed.cpp
                                    scx_signal_unsigned.h
                                    scx_signal_unsigned.cpp)
target_link_libraries (specialized_signals SystemC::systemc)
configure_and_add_test (specialized_signals)

=== debian/changelog ===
systemc (2.3.3-5) unstable; urgency=medium

  * [e22977d] Update standards version to 4.5.0
  * [11acbf7] Set debhelper compat level in build deps.
    Bumped to compat level 12
  * [de2acf2] libsystemc.symbols: update after GCC-10 update.
    Thanks: Carsten Schoenert <c.schoenert@t-online.de> (Closes: #957856)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 10 Aug 2020 11:07:17 +0200

systemc (2.3.3-4) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * [0ce80d7] Add gitlab-ci.yml
    Use the default GitLab CI from Salsa for package QA.

  [ Carsten Schoenert ]
  * [ad6f7c5] Revert "Switch to c++ symbols"
    Using filtered symbols isn't really helpful and extend the burden on
    maintaining the symbosl file.
  * [23c6b0d] libsystemc.symbols: update (again) after GCC update
    One more update to the symbols file after again a new GCC update.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 20 Aug 2019 22:37:44 +0200

systemc (2.3.3-3) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [dbc95a1] libsystemc.symbols: update after GCC update.
    As usual with every new GCC version we have changed symbol names,
    updating the symbols file for new GCC 9 in the archive.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * [fa74df1] Update standards version to 4.4.0, no changes needed
  * [c12d731] Switch to c++ symbols.
    Hoping that this would lessen the symbol changes for each gcc update

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 20 Aug 2019 05:30:06 +0200

systemc (2.3.3-2) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * [625f662] Revert "uscan: update watch file to catch new versions"
    This reverts commit 83ab9e15a4138b76fadd9d6ada5d0893a12f0ae8.
  * [3886a0b] Bumped standards version to 4.3.0, no changes needed

  [ Carsten Schoenert ]
  * [d3c60cd] libsystemc.symbols: update after GCC update

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 Mar 2019 07:04:08 +0100

systemc (2.3.3-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [79d0b67] d/gbp.conf: adding config file for git-buildpackage
  * [14ad850] New upstream version 2.3.3
  * [4ec31b4] drop patch queue.
    Remove previous created patch about some fixing of typos, it's fixed
    upstream.
  * [efadac6] libsystemc.symbols: update file to version 2.3.3
  * [c408571] NOTICE: install file only within the -dev package.
    This is a fixup commit for d006443f5d6d3f508b8a889cfc4ce5624897b06e.
    The NOTICE file is a required supplement for the Apache License 2.0,
    which the systemc package is licensed.
  * [5dc45e5] d/README.source: adding some information about the source.
    Mainly some information about how to work with git-buildpackage.
    Gbp-Dch: Ignore
  * libsystemc-dev: decrease Architecture list. (Closes: #913269)
  * uscan: update watch file to catch new versions.
    Upstream isn't providing *.tar.gz files for Systemc, but plain gzip'd
    files. Updating file accordingly.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * [ccc8ac4] Install NOTICE file in libsystemc
  * [81a1b31] Update copyright info.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 20 Dec 2018 10:28:41 +0100

systemc (2.3.2-3) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update standards version to 4.2.1, no changes needed
  * Limit build archs as per supported by upstream (Closes: #913269)
  * Re-added symbols file

  [ Carsten Schoenert ]
  * d/libsystemc.symbols: update symbols file. (Closes: #913270)
    After the using of g++-8 as the new default compiler some symbols have
    been changed. Adjust the files to reflect the new symbols.
    Also adding the field 'Build-Depends-Package'.
  * Lintian: update/remove lintian-override files.
    Lintian isn't complaining about the word 'Synopsys' anymore but is now
    telling some lintian-overrides are now useless. ;)
  * d/control: add Multi-Arch field on -doc package.
  * autopkgtest: add build-essential to Depends.
  * hardening: set DEB_BUILD_MAINT_OPTIONS for hardening

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 14 Nov 2018 10:19:23 +0100

systemc (2.3.2-2) unstable; urgency=medium

  * Updated standards version to 4.2.0
  * Remove symbols file, as it is a real pain to maintain

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 24 Aug 2018 13:12:46 +0200

=== debian/control ===
Source: systemc
Section: electronics
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 12), texinfo
Standards-Version: 4.5.0
Homepage: https://www.accellera.org/downloads/standards/systemc/
Vcs-Git: https://salsa.debian.org/electronics-team/systemc.git
Vcs-Browser: https://salsa.debian.org/electronics-team/systemc

Package: libsystemc
Architecture: amd64 arm64 i386 kfreebsd-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SystemC library
 SystemC is an HDL (High Definition Language) based on a C++ class library
 intended for simulations using standard C++ tools.
 This library also includes TLM (Transaction Level Modeling) code,
 .
 This package contains the shared libraries.

Package: libsystemc-dev
Architecture: amd64 arm64 i386 kfreebsd-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libsystemc (= ${binary:Version})
Description: Development files for SystemC library
 SystemC is an HDL (High Definition Language) based on a C++ class library
 intended for simulations using standard C++ tools.
 This library also includes TLM (Transaction Level Modeling) code,
 .
 This package contains the header files and static libraries for the
 SystemC library.

Package: libsystemc-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for SystemC library
 SystemC is an HDL (High Definition Language) based on a C++ class library
 intended for simulations using standard C++ tools.
 This library also includes TLM (Transaction Level Modeling) code,
 .
 This package contains the documentation for the SystemC library.

=== debian/tests/control ===
Tests: test-linking.sh
Depends: build-essential,
 libsystemc-dev,
 pkg-config
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://www.accellera.org/downloads/standards/systemc  .*systemc-?v?(\d[\d\.]*)\.tar\.gz
